::-webkit-scrollbar {
  width: 0px;
  height: 0px;
}

::-webkit-scrollbar-track {
  background: #000;
}
::-webkit-scrollbar-thumb {
  background: transparent;
  border-radius: 4px;
}

::-webkit-scrollbar-thumb:hover {
  background:transparent;
}

body {
    margin: 0;
    font-family: 'Segoe UI', sans-serif;
    color: #fff;
    justify-content: center;
    background:transparent;
    background-image: url("../images/main8.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh;
    background-attachment: fixed;
    display:flex;
    flex-direction: column;
}
/* LIQUID GLASS CARD */
.glass {
    backdrop-filter: blur(15px);
    background: rgba(0, 0, 0, 0.1);
    border-radius: 30px;
    border: 1px solid #696969;
    padding: 10px;
    margin: 20px;

}

.bar1{
height:230px;
background: rgba(255,255,255,0.2);
backdrop-filter: blur(15px);
border: 1px solid #696969;
border-radius:30px;
width:50px;

}

.btn12 {
    background: none;
    border: none;
    margin-top: 1px;
    cursor: pointer;
    transition: transform 0.3s ease;

}

.btn12:hover {
    transform: scale(1.2);
}

.btn1 {
    background: none;
    border: none;
    margin-top: 18px;
    cursor: pointer;
    margin-left:4px;
    transition: transform 0.3s ease;

}
.banner {
  position: relative;
  width: 100%;
  height: 300px;
  border-radius: 20px;
  overflow: hidden;
  color: white;
}

.slides {
  height: 100%;
  position: relative;
}

.slide {
  position: absolute;
  inset: 0;
  background-size: cover;
  background-position: center;
  opacity: 0;
  transition: 0.6s;
}
html {
  scroll-behavior: smooth;
}
.slide.active {
  opacity: 1;
}

.slide::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(to right, rgba(0,0,0,0.7), transparent);
  width:70%;

}
.movie-card1:hover {
  transform: translateY(-6px);
}
.watch {
  box-shadow: 0 0 20px rgba(255,0,0,0.6);
}
.content {
  position: absolute;
  bottom: 10px;
  left: 30px;
  max-width: 500px;
  z-index: 2;
}

.rating1 {
  position: absolute;
  top: -40px;
  background: gold;
  color: black;
  padding: 5px 10px;
  border-radius: 8px;
  font-weight: bold;
  z-index: 2;
}

.watch {
  margin-top: 10px;
  padding: 10px 18px;
  border: none;
  background: red;
  color: white;
  border-radius: 20px;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.watch:hover {
  transform: scale(1.2);
}

.watch:active {
  transform: scale(1.0);
}

.nav {
  position: absolute;
  right: 20px;
  bottom: 20px;
  display: flex;
  gap: 8px;
  z-index: 3;
}

.dot {
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: white;
  opacity: 0.5;
  cursor: pointer;
}

.dot.active {
  opacity: 1;
  background: red;
}

.btn2 {
    background: red;
    backdrop-filter: blur(15px);
    border: none;
    padding: 10px 20px;
    height:50px;
    margin-top:10px;
    font-family: Arial, sans-serif;
    border-radius:30px;
    cursor: pointer;
    margin-left:20px;
    font-size:20px;
    color:white;
    box-shadow: 0 0 10px rgba(255,0,0,0.6);
    transition: transform 0.3s ease;
}

.btn3 {
    background:transparent;
    border: none;
    padding: 1px px;
    border-radius:20px;
    cursor: pointer;
    font-size:20px;
    margin-left:10px;
    color:white;
    transition: transform 0.3s ease;

}

.btn1-active {
    background: none;
    width:43px;
    height:43px;
    border: 1px solid #b5b5b5;
    margin-top: 10px;
    cursor: pointer;
    margin-left:4px;
    border-radius:50%;
    transition: transform 0.3s ease;
    background: rgba(255,255,255,0.2);
    backdrop-filter: blur(15px);
}

.btn1-active:hover {
    transform: scale(1.2);
}

.btn2:hover {
    transform: scale(1.2);
}

.btn3:hover {
    transform: scale(1.2);
}

.btn1:hover {
    transform: scale(1.2);
}

.btn2:active {
  transform: scale(1.0);
}

.btn1:active {
  transform: scale(1.0);
}

.btn12:active {
  transform: scale(1.0);
}

.btn3:active {
  transform: scale(1.0);
}

.btn:active {
  transform: scale(1.0);
}
/* HEADER */
header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
}

header h1 {
    font-size: 2rem;
    color: #fff;
}

/* SEARCH BAR */
.search-bar {
    position: relative;
    margin:7px 10px;

}

.search-bar input {
    padding: 10px 15px;
    border-radius: 50px;
    border: none;
    outline: none;
    width: 400px;
    font-size: 1rem;
    background: rgba(255,255,255,0.1);
    color: #fff;
}

.search-bar input::placeholder {
    color: #ddd;
}

.search-bar1 {
    position: relative;
    margin:7px 0px;
}

.search-bar1 input {
    padding: 20px 15px;
    border-radius: 50px;
    border: none;
    outline: none;
    width: 90% ;
    font-size: 1rem;
    background: rgba(255,255,255,0.3);
    color: #fff;
}

.search-bar1 input::placeholder {
    color: #ddd;
}

/* MAIN CONTENT */
main {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 0px;
    padding: 20px;
}

.main1 {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 0px;
    padding: 20px;
}

.movie-card {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.movie-card:hover {
    transform: scale(1.05);
}

.movie-card img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 20px;
}

.movie-info {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 15px;
    background: linear-gradient(0deg,rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.61) 67%, rgba(0, 0, 0, 0) 100%);
    color: #fff;
    margin-left:-10px;

}

.movie-info h3 {
    margin: 0;
    font-size: 1.2rem;
}

.movie-info button {
    margin-top: 10px;
    padding: 5px 15px;
    border: none;
    border-radius: 50px;
    background: rgba(255,255,255,0.2);
    color: #fff;
    cursor: pointer;
    transition: background 0.3s ease;
}

.movie-info button:hover {
    background: rgba(255,255,255,0.4);
}
.main_container{
    width: 80%;
    height:80vh;
    background: rgba(0,0,0,0.3);
    overflow: auto;
    backdrop-filter: blur(15px);
    border-radius:30px;
    margin-left:10px;
    border: 1px solid #474747;

}

#clock {
    font-size: 36px;
    margin:5px 20px;
    font-weight: bold;
    font-family: Arial, sans-serif;
    display: block;
}

.main_container1{
    width: 80%;
    background: rgba(255,255,255,0.08);
    overflow: auto;
    backdrop-filter: blur(15px);
    margin-left:10%;
    display:flex;
    border-radius:30px;
    padding: 5px 15px;
    border: 1px solid #474747;
    justify-content: space-between;
}

.main_container8{
    width: 80%;
    background: rgba(255,255,255,0.08);
    overflow: auto;
    backdrop-filter: blur(15px);
    margin-left:10%;
    display:flex;
    border-radius:30px;
    padding: 5px 15px;
    border: 1px solid #474747;
    justify-content: space-between;
}

.main_container2{
    width: 80%;
    height:80vh;
    background: rgba(0,0,0,0.3);
    overflow: auto;
    backdrop-filter: blur(15px);
    border-radius:30px;
    margin-left:15px;
    border: 1px solid #474747;
    display:flex;

}

.home-container1{
    width: 350px;
    height:730px;
    overflow: auto;
    margin:15px 15px;
    display:block;
    align-items:center;
    order: 1;
}

.home-container2{
    width: 70%;
    height:730px;
    overflow: auto;
    margin:15px 15px;
    display:block;
    align-items:center;
    order: 1;
}

.home-container78{
    width: 70%;
    height:77vh;
    overflow: auto;
    margin:15px 15px;
    display:block;
    align-items:center;
    order: 1;
}

.bg-card{
    background: rgba(255,255,255,0.3);
    background: rgba(0,0,0,0.3);
    overflow: auto;
    backdrop-filter: blur(15px);
    border-radius:30px;
    margin-top:30px;
    border: 1px solid #474747;
    height:300px;
    order: 1;
}

.bg-card88{
    background: rgba(255,255,255,0.3);
    background: rgba(0,0,0,0.3);
    overflow: auto;
    backdrop-filter: blur(15px);
    border-radius:30px;
    margin-top:30px;
    border: 1px solid #474747;
    height:300px;
    order: 1;
}

.bg-card878{
    overflow: auto;
    margin-top:9px;
    order: 1;
}

.boton-elegante {
  padding: 1px 30px;
  border: 2px solid #2c2c2c;
  background-color: #1a1a1a;
  color: #ffffff;
  font-size: 1.2rem;
  cursor: pointer;
  border-radius: 30px;
  transition: all 0.4s ease;
  outline: none;
  position: relative;
  overflow: hidden;
  font-weight: bold;
}

.boton-elegante::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: radial-gradient(
    circle,
    rgba(255, 255, 255, 0.25) 0%,
    rgba(255, 255, 255, 0) 70%
  );
  transform: scale(0);
  transition: transform 0.5s ease;
}

.boton-elegante:hover::after {
  transform: scale(4);
}

.boton-elegante:hover {
  border-color: #666666;
  background: #292929;
}

.boton-elegante1 {
  padding: 1px 20px;
  border: 2px solid #2c2c2c;
  background-color: #1a1a1a;
  background-image: url("icons/like.png");
  color: #ffffff;
  font-size: 1.2rem;
  cursor: pointer;
  border-radius: 30px;
  transition: all 0.4s ease;
  outline: none;
  position: relative;
  overflow: hidden;
  font-weight: bold;
}

  .like-btn {
    width: 40px;
    cursor: pointer;
    transition: 0.2s;
  }

  .like-btn:active {
    transform: scale(0.9);
  }

.boton-elegante1::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: radial-gradient(
    circle,
    rgba(255, 255, 255, 0.25) 0%,
    rgba(255, 255, 255, 0) 70%
  );
  transform: scale(0);
  transition: transform 0.5s ease;
}

.boton-elegante1:hover::after {
  transform: scale(4);
}

.boton-elegante1:hover {
  border-color: #666666;
  background: #292929;
}

  .modal34 {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    display: none;
    justify-content: center;
    align-items: center;
  }

  .modal-content34 {
    background: #1c1c1c;
    padding: 20px;
    border-radius: 14px;
    width: 280px;
    text-align: center;
  }

  .icons34 {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px;
    margin-top: 15px;
  }

  .icon34 {
    cursor: pointer;
  }

  .icon34 img {
    width: 40px;
    height: 40px;
  }

  .close34 {
    margin-top: 15px;
    cursor: pointer;
    color: #aaa;
  }

.bg-card2{
    background: rgba(255,255,255,0.3);
    background: rgba(0,0,0,0.3);
    overflow: auto;
    backdrop-filter: blur(15px);
    border-radius:30px;
    margin-top:15px;
    border: 1px solid #474747;
    height:300px;
}

.iframe-movie{
    width:100%;
    height:450px;
    border:none;
    border-radius:0px;
}

.video-card23 {
  width: 100%;
  margin: 20px auto;
  font-family: 'Arial', sans-serif;
  color: white;
  background-color: #141414;
  border-radius: 20px;
  overflow: hidden;
}

.video-info23 {
  padding: 1px 16px 20px 10px;
  margin-top:-10px;
}

.video-info23 {
  color: #e50914;
  font-size: 20px;
  margin-bottom: 6px;
}

.title23{
color:white;
}

.video-info23 .meta23 {
  display: flex;
  gap: 12px;
  font-size: 14px;
  color: #b3b3b3;
}

.rating23{
background: gold;
color:black;
padding: 5px 5px;
font-weight: bold;
border-radius:10px;
font-size:14px;

margin-top:0px;
}

.video-info23 .meta23 span {
  display: inline-block;
}


.bg-card4{
    overflow: auto;
    border-radius:30px;
    margin-top:15px;
    height:67vh;
}

.bg-card18{
    overflow: auto;
    border-radius:30px;
    margin-top:-14px;
    height:67vh;
}

.bg-card3{
    overflow: auto;
    height:330px;
    padding-top: 10px;
}

.div-header{
    overflow: auto;
    height:80px;
    margin-left:-14px;
    display:flex;
    justify-content: space-between;
}

.div-header2{
    overflow: auto;
    width:98%;
    height:80px;
    margin-left:15px;
    display:flex;
    justify-content: space-between;
}

.main_container2{
    background: rgba(0,0,0,0.3);
    overflow: auto;
    width:80%;
    max-width:1550px;
    backdrop-filter: blur(15px);
    border-radius:30px;
    margin-left:15px;
    border: 1px solid #474747;
    display:flex;
}

.logo-img{
border-radius:10px;
}

.div-right{
margin-left:auto;
display:flex;
}

.main-info{
display:flex;
align-items: center;
justify-content:center;
margin-left:-10px;
}

.movie-container {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}

.movie-card1 {
  width: 195px;
  color: white;
}

.poster {
  position: relative;
  border-radius: 12px;
  overflow: hidden;
}

.poster img {
  width: 100%;
  height: 260px;
  object-fit: cover;
  display: block;
  transition: 0.3s;
}

.movie-card1:hover img {
  transform: scale(1.05);
  filter: brightness(0.6);
}

.rating {
  position: absolute;
  top: 8px;
  left: 8px;
  background: gold;
  color: black;
  padding: 4px 8px;
  border-radius: 6px;
  font-weight: bold;
  font-size: 14px;
}

.play-btn {
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  background: red;
  border: none;
  color: white;
  padding: 8px 14px;
  border-radius: 20px;
  cursor: pointer;
  opacity: 0;
  transition: 0.3s;
}

.movie-card:hover .play-btn {
  opacity: 1;
}

.title {
  margin-top: 10px;
  font-size: 16px;
}

.movie-item {
  display: flex;
  align-items: center;
  gap: 12px;
  background: rgba(255,255,255,0.3);
  padding: 13px 10px;
  border-radius: 20px;
  color: white;
  transition: 0.3s;
  margin:10px 10px 12px 10px;
}

.movie-item:hover {
  background: #ff00003d;
}

.movie-item img {
  width: 60px;
  height: 60px;
  border-radius: 8px;
  object-fit: cover;
}
.movie-container {
  display: flex;
  gap: 20px;
  overflow-x: auto;     /* gorizontal scroll */
  flex-wrap: nowrap;    /* pastga tushmasin */
  padding: 22px 10px 10px 10px;
}

.movie-card1 {
  width: 195px;
  color: white;
  flex-shrink: 0;
  transition: 0.3s ease;
}
.movie-info1 {
  flex: 1;
}

.movie-info1 h4 {
  margin: 0;
  font-size: 15px;
}

.play-btn1 {
  background: red;
  border: none;
  color: white;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  cursor: pointer;
  font-size: 14px;
  transition: 0.3s;
}

.play-btn1:hover {
  transform: scale(1.1);
}

.img-main{
    width: 100%;
      height: 300px;
      object-fit: cover;
      display: block;
      transition: 0.3s;
}
@media (max-width: 1440px) {
  body {
    zoom: 0.8;
  }
}
@media (max-width: 965px) {
body {
    zoom: 1;
  }
.bar1{
   display: none;
   }
   header {
       display: flex;
       flex-direction: column;
       align-items: center;
       padding: 20px 40px;
   }
   .iframe-movie{
   height:300px;
   }
   .main_container{
       width:95%;
   }
   .search-bar input {
       width: 80%;
   }
   #clock{
   display:none;
   }
   .main_container{
    margin-left:0px;
   height:90vh;
   }
   .main_container1{
      width:90%;
      margin-left:1%;
   }
   .main_container8{
      width:90%;
      margin-left:3%;

   }
   .main_container2{
      width:94%;
      margin-left:1%;
      display:block;
      height:90vh
   }
.main-info {
    justify-content: center;
   margin-left: 0px;
}
.search-bar1 input {
    width:86vw;
}
.home-container1{
    width: 90vw;
    order: 2;
}
.home-container2{
    width: 89vw;
    margin: 15px 20px;
    display: block;
    align-items: center;
    height:800px;
    overflow-x: auto;
    order: 1;
}

.home-container78{
    width: 89vw;
    margin: 15px 20px;
    display: block;
    align-items: center;
    height:700px;
    overflow-x: auto;
    order: 1;
}
.iframe-movie{
height: 500px;
}
.movie-container {
  display: flex;
  gap: 20px;
  overflow-x: auto;     /* gorizontal scroll */
  flex-wrap: nowrap;    /* pastga tushmasin */
  padding: 10px;
}

.movie-card1 {
  width: 195px;
  color: white;
  flex-shrink: 0;       /* card kichrayib ketmasin */
}
}
@media (max-width: 650px) {
   .bar1{
   display: none;
   }
   header {
       display: flex;
       flex-direction: column;
       align-items: center;
       padding: 20px 40px;
   }
   .search-bar1 input{
   width:100%;
   }
   .main_container{
       width:95%;
   }
   .iframe-movie{
   height: 430px;
   }
   .search-bar input {
       width: 80%;
   }
   #clock{
   display:none;
   }
   .main_container{
    margin-left:0px;
   height:90vh;
   }
   .main_container1{
      width:90%;
      margin-left:1%;
   }
   .main_container8{
      width:90%;
      margin-left:1%;

   }
   .main_container2{
      width:94%;
      margin-left:1%;
      display:block;
      height:90vh
   }
.main-info {
    justify-content: center;
   margin-left: 0px;
}
.search-bar1 input {
    width:78vw;
}
.home-container1{
    width:86vw;
    order: 1;
}
.home-container2{
    width:85vw;
    margin: 15px 18px;
    display: block;
    align-items: center;
    height:800px;
    overflow-x: auto;
    order: 2;
}

.home-container78{
    width:85vw;
    margin: 15px 18px;
    display: block;
    align-items: center;
    height:720px;
    overflow-x: auto;
    order: 2;
}

.movie-container {
  display: flex;
  gap: 20px;
  overflow-x: auto;     /* gorizontal scroll */
  flex-wrap: nowrap;    /* pastga tushmasin */
  padding: 10px;
}

.movie-card1 {
  width: 195px;
  color: white;
  flex-shrink: 0;       /* card kichrayib ketmasin */
}
.bg-card18{
height:630px;
}
.bg-card{
order: 2;
}
.bg-card88{
order: 1;
}
 }